Skip to content
API Reference

Delete

client.Organizations.Users.Delete(ctx, userID, params) error
DELETE/organizations/{organization_id}/users/{user_id}

Remove a user from an organization

ParametersExpand Collapse
userID string

Identifier for API resources. A 26-char nanoid (URL/DNS safe).

minLength1
maxLength255
params OrganizationUserDeleteParams
OrganizationID param.Field[string]

Path param: Organization ID or label identifier

minLength1
maxLength255
XClientRequestID param.Field[string]optional

Header param: Unique request identifier specified by the originating caller and passed along by proxies.

formatuuid

Delete

package main

import (
  "context"

  "github.com/keycardai/keycard-go"
)

func main() {
  client := keycard.NewClient(

  )
  err := client.Organizations.Users.Delete(
    context.TODO(),
    "ab3def8hij2klm9opq5rst7uvw",
    keycard.OrganizationUserDeleteParams{
      OrganizationID: "x",
    },
  )
  if err != nil {
    panic(err.Error())
  }
}
Returns Examples